Subject: IBIS Package Model

From: "Mike Lamson" <[email-masked]>
Date: Wed, 17 Mar 1999 07:46:27 -0600

Does anyone know how to represent RLC in IBIS for a ground plane with
multiport nodes?  The issues is the capacitance.  The inductance and
resistance can be described between any two ports of the plane but how to
represent the capacitance in IBIS is a mystery.  If the total plane
capacitance is used, it gets repeated for each port which over estimates it
in the model.

Thanks,

Mike Lamson
[email-masked]

---

From: "Mike Lamson" <[email-masked]>
Date: Thu, 18 Mar 1999 08:27:01 -0600

Sorry for not providing enough info.  Yes, it is 3D model with signals, a
power plane, and a ground plane.  A certain set of loads on the chip bring
current in the power plane and return it on the ground plane (ignore the
signals for this case).  I can represent a number of input and output ports
on the ground and power planes with RL elements (both self and mutual).
There is a capacitance between the planes.  If I try to represent these
paths in IBIS, the meaning of the capacitance becomes an issue (I can't use
the total plane capacitance for each path).

This still may not be clear but someone once said that if you can phrase a
good question, you already know the answer.

Regards,

Mike Lamson

-----Original Message-----
From: Fred Balistreri [mailto:[email-masked]]
Sent: Wednesday, March 17, 1999 9:48 PM
To: [email-masked]
Cc: [email-masked]
Subject: Re: IBIS Package Model

-MSG M#=   973754 FR=MS1P TO=MIKL   SENT=03/17/99  09:48 PM  TYPE=N
     R#=067 ST=C DIV=0003 CC=06960 BY=MS1P AT=03/17/99 09:48 PM

  To: [email-masked]                <[email-masked]>

Copy: [email-masked]               <[email-masked]>

From: Fred Balistreri                   <[email-masked]>

Subj:  Re: IBIS Package Model

[email-masked] wrote:
>
> Mike,
>
> Can you elaborate a little more?  It sounds like you're trying to model
the
> ground plane in a package as a non-ideal return path.  Usually we make the
> assumption in transmission line analysis that the return terminals are
> connected to ideal ground, but this doesn't work when you're modeling
power
> rail collapse on an IC due to package inductance.  It sounds like you want
> a package model with two ports for each signal conductor and more than two
> ports for the ground conductor.  Is this the case?  If so, you're talking
> about a 3-D package model since a package model based on a 2-D cross
> section would only have two ports for a non-ideal ground.
>
> The quick answer is that IBIS can do coupled lumped package models or
> uncoupled distributed package models, but not coupled distributed package
> models.  In my experience, I've used multiple lumped segments to describe
a
> package; these were based on multiple unique 2-D cross sections with
> non-ideal grounds.  However, I've never seen anyone derive a coupled
> distributed package model from a 3-D field analysis.
>
> Greg Edlund
> Advisory Engineer, Critical Net Analysis
> IBM
> 3650 Hwy. 52 N, Dept. HDC
> Rochester, MN 55901
> [email-masked]
>
> ---------------------- Forwarded by Gregory R Edlund/Rochester/IBM on
> 03/17/99 05:21 PM ---------------------------
>
> "Mike Lamson" <[email-masked]> on 03/17/99 07:46:27 AM
>
> Please respond to [email-masked]
>
> To:   [email-masked]
> cc:    (bcc: Gregory R Edlund/Rochester/IBM)
> Subject:  IBIS Package Model
>
Full wave solvers will give you S parameters. These can be interpreted
into SPICE Laplace transfer functions that retain the frequency effects.
Therefore its possible to have the behavior of the system modeled in
a simulator accurately. Other approaches involve FDTD and similiar
methods. However Mike's question pertains to IBIS. In that regard
Greg's answer seems correct. Lumped RLC circuits from 3d analysis can
become large and hard to handle by time domain simulation.

Best Regards,
--
Fred Balistreri
[email-masked]

http://www.apsimtech.com